## lua-leg 0.1.3

=== CMakeLists.txt ===
# Copyright (C) 2007-2012 LuaDist.
# Created by Peter Drahoš
# Redistribution and use of this file is allowed according to the terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own license.

project ( leg NONE )
cmake_minimum_required ( VERSION 2.6 )
include ( cmake/dist.cmake )
include ( lua )

install_lua_module ( leg src/init.lua )
install_lua_module ( leg.grammar src/grammar.lua )
install_lua_module ( leg.parser src/parser.lua )
install_lua_module ( leg.scanner src/scanner.lua )
install_data ( README COPYRIGHT release )
install_doc ( doc/ )
install_test ( tests/ )
install_example ( examples/ )

#FIX: paths: add_lua_test ( tests/test.lua )

=== Makefile ===
#
# Makefile for Leg
# $Id: Makefile,v 1.7 2007/11/26 18:41:51 hanjos Exp $
# 

# ===== LUA PATHS =================
# Lua's library directory
LUA_LIB = /usr/local/share/lua/5.1

# ===== PROJECT INFO ==============
# project info
NAME = leg
VERSION = 0.1.2

# project directories
DOC_DIR = doc
SRC_DIR = src
TEST_DIR = tests

# the document generator used to build the documentation in doc/.
# It uses an unreleased generator, so this is for my personal use.
DOCCER = lua /usr/local/share/lua/5.1/ldt/ldt.lua

# ===== RULES =====================
leg:
	mkdir -p $(NAME)
	rm -f $(NAME)/*.lua
	cp src/*.lua $(NAME)

install:
  # copying the source files to LUA_LIB
	mkdir -p $(LUA_LIB)/$(NAME)
	rm -f $(LUA_LIB)/$(NAME)/*.lua
	cp src/*.lua $(LUA_LIB)/$(NAME)

clean:
  # removing the source files and package
	rm -r $(LUA_LIB)/$(NAME)

documents:
	# generate documentation
	mkdir -p $(DOC_DIR)
	$(DOCCER) src/*.lua
	mv ldt/* $(DOC_DIR)
	rm -rf ldt

bundle:
  # tar-ing it (this works only with version 1.19 and beyond, due
  # the --exclude-vcs flag)
	tar --create --verbose --exclude-vcs --file=../$(NAME)-$(VERSION).tar ../$(NAME)
	
  # zipping it
	gzip ../$(NAME)-$(VERSION).tar

test:
	cd tests; lua test.lua

## lua-leg 0.1.2

=== debian/changelog ===
lua-leg (0.1.2-8) unstable; urgency=low

  * Clean up debian/rules
  * Build-depend on dh-lua >= 12 
  * Copyright file updated to format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:50:41 +0200

lua-leg (0.1.2-7) unstable; urgency=low

  * Switch to dh-lua
  * Bumped standards-version to 3.9.3, no changes needed
  * Packages renamed according to the new lua policy

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 11:04:11 +0200

lua-leg (0.1.2-6) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 12:36:36 +0200

lua-leg (0.1.2-5) unstable; urgency=low

  * bumped standards-version to 3.8.2
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 15:52:48 +0200

lua-leg (0.1.2-4) unstable; urgency=low

  * rebuild against liblua5.1-lpeg2
  * fixed lua -> Lua in control
  * bumped standards-version to 3.8.1, no changes needed
  * added misc:Depends to Depends since I'm using debhelpers

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Mar 2009 10:41:49 +0100

lua-leg (0.1.2-3) unstable; urgency=low

  * depend on liblua5.1-lpeg1

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 07 Mar 2008 19:25:20 +0100

lua-leg (0.1.2-2) unstable; urgency=low

  * fixed watch file
  * better package description

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 22 Dec 2007 13:37:18 +0100

lua-leg (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #457198)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 19 Dec 2007 19:53:50 +0100

=== debian/control ===
Source: lua-leg
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), lua-lpeg-dev, dh-lua (>= 12)
Standards-Version: 3.9.3
Homepage: http://leg.luaforge.net
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-leg
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-leg

Package: lua-leg
Architecture: all
Depends: ${misc:Depends}, lua-lpeg
Replaces: liblua5.1-leg0 (<< 0.1.2-7~)
Breaks: liblua5.1-leg0 (<< 0.1.2-7~)
Provides: liblua5.1-leg0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua 5.1 grammar, with parsing and manipulation facilities
 This package contains leg, a Lua library exporting a complete Lua 5.1 grammar
 and a small API for user manipulation. It can be used to implement a macro
 preprocessor or any other task that needs to parse a .lua file.

Package: lua-leg-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Replaces: liblua5.1-leg-dev (<< 0.1.2-7~)
Breaks: liblua5.1-leg-dev (<< 0.1.2-7~)
Provides: liblua5.1-leg-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Leg development files for the Lua language
 This package contains the documentation for the leg library.

Package: liblua5.1-leg0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-leg
Description: Transitional package for lua-leg
 This is a transitional package to ease upgrades to the lua-leg
 package. It can safely be removed.

Package: liblua5.1-leg-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-leg-dev
Description: Transitional package for lua-leg-dev
 This is a transitional package to ease upgrades to the lua-leg-dev
 package. It can safely be removed.

## lua-leg 0.1.3

=== debian/changelog ===
lua-leg (0.1.3-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + lua-leg-dev: Add Multi-Arch: foreign.

  [ Andreas Tille ]
  * Point Vcs fields to Salsa
  * New Homepage
  * Fix watch file
  * d/copyright: review
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Sun, 24 Aug 2025 15:23:15 +0200

lua-leg (0.1.3-2) unstable; urgency=medium

  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995510)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 09:18:23 -0300

lua-leg (0.1.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:02:33 +0100

lua-leg (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Add patch to scanner.lua to avoid empty loop (Closes: #719379)
  * Packaging moved to git
  * Remove transitional packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:52:04 +0200

=== debian/control ===
Source: lua-leg
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               lua-lpeg-dev,
               dh-lua
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-leg
Vcs-Git: https://salsa.debian.org/lua-team/lua-leg.git
Homepage: https://github.com/keplerproject/leg

Package: lua-leg
Architecture: all
Depends: ${misc:Depends},
         lua-lpeg
Provides: ${lua:Provides}
Description: Lua 5.1 grammar, with parsing and manipulation facilities
 This package contains leg, a Lua library exporting a complete Lua 5.1 grammar
 and a small API for user manipulation. It can be used to implement a macro
 preprocessor or any other task that needs to parse a .lua file.
XB-Lua-Versions: ${lua:Versions}

Package: lua-leg-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: liblua5.1-leg-dev (<< 0.1.2-7~)
Provides: liblua5.1-leg-dev,
          ${lua:Provides}
Replaces: liblua5.1-leg-dev (<< 0.1.2-7~)
Description: Leg development files for the Lua language
 This package contains the documentation for the leg library.
XB-Lua-Versions: ${lua:Versions}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	chmod a-x src/* examples/*
	dh_auto_configure

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/keplerproject/leg/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
